Index: library/doc/tutorial/02userguide_estim.dox
===================================================================
--- library/doc/tutorial/02userguide_estim.dox (revision 944)
+++ library/doc/tutorial/02userguide_estim.dox (revision 948)
@@ -2,6 +2,13 @@
 \page userguide_estim BDM Use - Estimation and Bayes Rule
 
-Baysian theory is predominantly used in system identification, or estimation problems. 
-This section is concerned with recursive estimation, as implemneted in prepared scenario \c estimator.
+Bayesian theory is predominantly used in system identification, or estimation problems. 
+This section is concerned with recursive estimation, as implemented in prepared scenario \c estimator.
+
+Table of contents:
+\ref ug2_theory 
+\ref ug2_arx_basic 
+\ref ug2_model_sel 
+\ref ug2_bm_composition 
+\ref ug_est_ext 
 
 The function of the \c estimator is graphically illustrated:
@@ -31,9 +38,9 @@
  - <b> Bayes rule </b> as defined above, operation bdm::BM::bayes() which expects to get the current data record \c dt, \f$ d_t \f$
  - <b> evidence </b> i.e. numerical value of \f$ f(d_t|d_1\ldots d_{t-1})\f$ as a typical side-product, since it is required in denominator of the above formula.
-   For some models, computation of this value may require extra effort, and can be swithed off.
+   For some models, computation of this value may require extra effort, and can be switched off.
  - <b> prediction </b> the object has enough information to create the one-step ahead predictor, i.e. \f[ f(d_{t+1}| d_1 \ldots d_{t}), \f] 
 	
 Implementation of these operations is heavily dependent on the specific class of prior pdf, or its approximations. We can identify only a few principal approaches to this problem. For example, analytical estimation which is possible within sufficient the Exponential Family, or estimation when both prior and posterior are approximated by empirical densities. 
-These approaches are first level of descendants of class \c BM, classes bdm::BMEF and bdm::PF, repectively.
+These approaches are first level of descendants of class \c BM, classes bdm::BMEF and bdm::PF, respectively.
 
 \section ug2_arx_basic Estimation of ARX models
@@ -51,5 +58,5 @@
 This is the minimal configuration of an ARX estimator. 
 
-The first three fileds are self explanatory, they identify which data are predicted (field \c rv) and which are in regressor (field \c rgr).
+The first three fields are self explanatory, they identify which data are predicted (field \c rv) and which are in regresor (field \c rgr).
 The field \c log_level is a string of options passed to the object. In particular, class \c BM understand only options related to storing results:
  - logbounds - store also lower and upper bounds on estimates (obtained by calling BM::posterior().qbounds()),
@@ -66,5 +73,5 @@
 In Bayesian framework, model selection is done via comparison of evidence (marginal likelihood) of the recorded data. See [some theory].
 
-A trivial exammple how this can be done is presented in file bdmtoolbox/tutorial/userguide/arx_selection_example.m. The code extends the basic A1 object as follows:
+A trivial example how this can be done is presented in file bdmtoolbox/tutorial/userguide/arx_selection_example.m. The code extends the basic A1 object as follows:
 \code
 A2=A1;
@@ -78,5 +85,5 @@
  - A3 which is the same as A2, but assumes time-variant parameters with forgetting factor 0.95.
  
-Since all estimator were configured to store values of marginal log-likelihood, we can easily compare them by computint total log-likelihood for each of them and converting them to probabilities. Typically, the results should look like:
+Since all estimator were configured to store values of marginal log-likelihood, we can easily compare them by computing total log-likelihood for each of them and converting them to probabilities. Typically, the results should look like:
 \code
 Model_probabilities =
@@ -100,5 +107,5 @@
 \section ug2_bm_composition Composition of estimators
 
-Similarly to pdfs which could be composed via \c mprod, the Bayesian models can be composed togetrer. However, justification of this step is less clear than in the case of epdfs.
+Similarly to pdfs which could be composed via \c mprod, the Bayesian models can be composed together. However, justification of this step is less clear than in the case of epdfs.
 
 One possible theoretical base of composition is the Marginalized particle filter, which splits the prior and the posterior in two parts:
@@ -166,5 +173,5 @@
 \image latex frg_example.png "Typical run of tutorial/userguide/frg_example.m" width=\linewidth
 
-Note: error bars in this case are not directly comparable with those of previous examples. The MPF class implements the qbounds function as minimum and maximum of bounds in the condidered set (even if its weight is extreemly small). Hence, the bounds of the MPF are probably larger than it should be. Nevertheless, they provide great help when designing and tuning algorithms.
+Note: error bars in this case are not directly comparable with those of previous examples. The MPF class implements the qbounds function as minimum and maximum of bounds in the considered set (even if its weight is extremely small). Hence, the bounds of the MPF are probably larger than it should be. Nevertheless, they provide great help when designing and tuning algorithms.
 
 \section ug_est_ext Matlab extensions of the Bayesian estimators
@@ -178,4 +185,4 @@
 In order to create a new extension of an estimator, copy file with class mexLaplaceBM.m and redefine the methods therein. If needed create new classes for pdfs by inheriting from mexEpdf, it the same way as in the mexLaplace.m example class.
 
-Foro list of all estimators, see \ref app_base.
+For list of all estimators, see \ref app_base.
 */
